/*importing libraries from d3 
used to geoAlbers-draw the Albers equal-area conic projection
geoPath-it generates an SVG path data string or renders the path to a Canvas.
geoGraticule-Returns a MultiLineString geometry object
*/
import { geoAlbers, geoPath, geoGraticule } from 'd3';
const projection = geoAlbers();
const path = geoPath(projection);
const graticule = geoGraticule();
/* exporting country map */
export const CountryMap = ({ data: { land, interiors } }) => (
  <g className="marks">
		<path className="sphere" d={path({ type: 'Sphere' })} /> // sphere shape
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
